package com.muyu.domain.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：qdm
 * @Package：com.muyu.domain.req
 * @Project：cloud-etlw3123123
 * @name：RuleReq
 * @Date：2024/8/21 21:38
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RuleReq {
    /**
     * 名称模糊查询
     */
    @Schema(name = "名称模糊查询", type = "String", defaultValue = "基础规则", description = "名称模糊查询")
    private String  name;
    /**
     * 类型精确查询
     */
    private Integer type;
    /**
     * 是否激活精确查询
     */
    private Integer flag;
    /**、
     * 状态精确查询
     */
    private Integer status;
}
