package com.muyu.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：qdm
 * @Package：com.muyu.domain
 * @Project：cloud-etlw3123123
 * @name：ActionScope
 * @Date：2024/8/21 20:53
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActionScope {
    /**
     * 规则作用域
     */
    private Integer id;
    /**
     * 规则作用域名称
     */
    @Schema(name = "规则作用域名称", type = "String", defaultValue = "数据字段", description = "规则作用域名称")
    private String name;
}
