package com.muyu.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：qdm
 * @Package：com.muyu.domain
 * @Project：cloud-etlw3123123
 * @name：Type
 * @Date：2024/8/21 20:54
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Type {
    /**
     * 类型id
     */
    private Integer id;
    /**
     * 类型名称
     */
    @Schema(name = "类型名称", type = "String", defaultValue = "基础类型", description = "类型名称")
    private String name;
}
